Subject: Re: Just installed cygwin
From: "Jan-Friedrich Mutter" <[email-masked]>
To: "David Ondzes" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 22 Apr 1999 18:05:02 +0200

man packages:
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/mirrors/cygnus/cygwin
-b20/fullman.tar.bz2

pasted from a mail from Michael Hirmke some days ago:

------------------------< snip snip snip >-----------------------------

   *man-1.5f*
   --------

   - what is it?
     - Program for displaying man-pages on the screen or sending them
       to a printer (using groff). Includes whatis, apropos and man2html,
       which compiles but wasn't tried.

   - To install the binaries
     - go to  ftp://ftp.franken.de, get and untar in /
       /pub/win32/develop/gnuwin32/cygwin/porters/Humblet_Pierre_A/B20
          man-1.5f-cygwin-b20-bin.tar.gz
     - You must also get and untar in /
       /pub/win32/develop/gnuwin32/cygwin/porters/Hirmke_Michael/B20
          groff-1.10-cygwin-b20-bin.tar.gz
     - Edit /usr/local/lib/man.conf    [** used to be man.config **]
       to suit your site.
       If man gives you funny looking hyphens, replace the NROFF line with
       NROFF          /usr/local/bin/nroff -mandoc (!!it's nroff, not groff)
     - Execute "man -w" to examine the effective MANPATH. Duplicates
       (with different cases) may appear. They can be avoided by
       editing man.conf and/or PATH and/or MANPATH.
     - Execute ./makewhatis -w in /usr/local/sbin to build the
       whatis database for apropos and whatis.

   What follows is information to recompile the entire package or complete
   the man2html tool suite.

   - system
     - Windows 95

   - Cygwin
     - for B20
     - binary mounts only
     - CYGWIN=tty

   - preliminaries
     - get the source packages
       - man-1.5f.tar.gz from ftp://ftp.win.tue.nl/pub/linux/util/man/
     - edit src/makewhatis.sh
       - on line 30   change PATH=/usr/bin:/bin to /bin:/usr/local/bin
                 146, change /usr/bin/gawk to /bin/gawk (or whatever)
     - edit src/defs.h
       - add #include <unistd.h>
     - edit man2html/Makefile.in
       - on line 9 change /usr/bin to /usr/local/bin (or whatever)

   - configure
     - edit configure on lines 508 & 511
       - change "prefix=/usr" to "prefix=/usr/local" (or whatever)
     - run CC="gcc -DNONLS -DLC_MESSAGES=6" ./configure -d +traditional
       (thanks to David Coe)

   - make
     - works without changes

   - make install
     - works without changes

   - package availability
     - on ftp.franken.de
     - in /pub/win32/develop/gnuwin32/cygwin/porters/Humblet_Pierre_A/B20
     - as man-1.5f-cygwin-b20-bin.tar.gz

   - contributed by
     - [email-masked] (Pierre A. Humblet)

------------------------< snip snip snip >-----------------------------

-Jan.

-----Ursprüngliche Nachricht-----
Von: David Ondzes <[email-masked]>
An: [email-masked]' <[email-masked]>
Datum: Donnerstag, 22. April 1999 17:50
Betreff: Just installed cygwin

>
>Ok, I have just installed cygwin on NT 4.0 system and I have read the FAQ
>and other online docs but can't find the answer to my question. I know man
>pages do not come with cygwin so how do I read how to use programs like
flex
>& bison ? I know that are tools for parsing grammers but it has been a
while
>since I used them and forgotten some of the basics.
>
>BTW - I do not have access to a unix machine to look at the man pages.
>
>Thanks
>David
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]